php 2038的埂已经修复了...

Tuesday 发布于 2016/12/07 10:17
阅读 394
收藏 0
PHP
echo date('Y-m-d H:i:s', strtotime('+500 year', time()));
// 2516-12-07 02:15:12

现在可以直接操作2038年以上的时间了.

测试环境, qampp2.6.0  PHP7.1.0

加载中
0
leo108
leo108
老早就支持了
0
Tuesday
Tuesday

引用来自“leo108”的评论

老早就支持了
哪个版本开始支持的? 
0
leo108
leo108

引用来自“leo108”的评论

老早就支持了

引用来自“Tuesday”的评论

哪个版本开始支持的? 

不好意思,4.x就支持了:https://3v4l.org/7poL6

2038的问题在于32位系统,64位系统上任意版本的php都不会有这个问题

0
卖爷爷的老红薯
卖爷爷的老红薯
瞬间不想崇拜楼主了!
返回顶部
顶部